Class | Bio::PAML::Codeml::ReportSingle
In: | lib/bio/appl/paml/codeml/report.rb
Parent: | Bio::PAML::Common::Report

ReportSingle is a simpler parser for a codeml report containing a single run. This is retained for backward compatibility mostly.

The results of a single model (old style report parser)

      >> single = Bio::PAML::Codeml::Report.new(buf)

      >> single.tree_log_likelihood
      => -1817.465211

      >> single.tree_length
      => 0.77902

      >> single.alpha
      => 0.58871

      >> single.tree
      => "(((rabbit: 0.082889, rat: 0.187866): 0.038008, human: 0.055050): 0.033639, goat-cow: 0.096992, marsupial: 0.284574);"

### Methods

new

### Attributes

alpha | [R] |
tree | [R] |
tree_length | [R] |
tree_log_likelihood | [R] |

### Public Class methods

new(codeml_report)

Do not use

[Source]

         # File lib/bio/appl/paml/codeml/report.rb, line 367
    367:       def initialize(codeml_report)
    368:         @tree_log_likelihood = pull_tree_log_likelihood(codeml_report)
    369:         @tree_length = pull_tree_length(codeml_report)
    370:         @alpha = pull_alpha(codeml_report)
    371:         @tree = pull_tree(codeml_report)
    372:       end

[Validate]